Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           gnome-utils
Version:        2.20.0.1
Release:        2
Summary:        GNOME utility programs

Group:          Graphical Desktop/GNOME
License:        GNU/GPL
URL: 		http://www.gnome.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: 	logview-close-crash.patch

BuildRequires:  gnome-doc-utils
BuildRequires: 	glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  libXmu-devel 
BuildRequires:  libX11-devel 
BuildRequires:	libgtop-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:  usermode
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser

Requires:	usermode

Requires(post): scrollkeeper
Requires(post): desktop-file-utils
Requires(post): GConf
Requires(preun): GConf
Requires(pre): GConf

Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of small "desk accessory" utility applications for GNOME.

%package	devel
Summary: 	Libraries and headers for gnome-utils libraries
Group: 		Development/Libraries
Requires:  	glib-devel
Requires:  	gtk2+-devel
Requires:  	gnome-utils = %{version}-%{release}
Requires:  	pkg-config

%description	devel
The gnome-utils-devel package contains header files and other resources
needed develop programs using the libraries contained in gnome-utils.


%prep
%setup -q
%patch0 -p1 -b .logview-close

pushd gfloppy
echo "NoDisplay=true" >> gfloppy.desktop.in
popd

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--libexecdir=$(pkg-config \
--variable=prefix ORBit-2.0)/lib/gnome-utils \
--disable-scrollkeeper \
--enable-console-helper \
--with-pam-prefix=%_sysconfdir
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang gnome-utils-2.0

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/logview.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/baobab.schemas \
		>& /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/logview.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/baobab.schemas \
		>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/logview.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/baobab.schemas \
		>& /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f gnome-utils-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/security/console.apps/gnome-system-log
%{_sysconfdir}/pam.d/gnome-system-log
%{_sysconfdir}/gnome/gconf/schemas/gnome-dictionary.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnome-screenshot.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnome-search-tool.schemas
%{_sysconfdir}/gnome/gconf/schemas/logview.schemas
%{_sysconfdir}/gnome/gconf/schemas/baobab.schemas
%{_bindir}/gnome-dictionary
%{_bindir}/gnome-panel-screenshot
%{_bindir}/gnome-screenshot
%{_bindir}/gnome-search-tool
%{_bindir}/gnome-system-log
%{_bindir}/baobab
%{_sbindir}/gnome-system-log
%{_datadir}/applications/gnome-dictionary.desktop
%{_datadir}/applications/gnome-screenshot.desktop
%{_datadir}/applications/gnome-search-tool.desktop
%{_datadir}/applications/gnome-system-log.desktop
%{_datadir}/applications/baobab.desktop
%{_datadir}/gdict-1.0/
%{_datadir}/gnome-dictionary/
%{_datadir}/gnome-screenshot/
%{_datadir}/gnome-system-log/
%{_datadir}/baobab/
%{_datadir}/gnome/help/gnome-dictionary/
%{_datadir}/gnome/help/gnome-search-tool/
%{_datadir}/gnome/help/gnome-system-log/
%{_datadir}/gnome/help/baobab/
%{_datadir}/pixmaps/gsearchtool/thumbnail_frame.png
%{_datadir}/icons/hicolor/24x24/apps/baobab.png
%{_datadir}/icons/hicolor/scalable/apps/baobab.svg
%{_libdir}/gnome-utils/gnome-dictionary-applet
%{_datadir}/gnome-2.0/ui/GNOME_DictionaryApplet.xml
%{_libdir}/bonobo/servers/GNOME_DictionaryApplet.server
%{_libdir}/libgdict-1.0.so.*
%{_datadir}/man/man1/gnome-dictionary.1.gz
%{_datadir}/man/man1/gnome-search-tool.1.gz
%{_datadir}/man/man1/gnome-system-log.1.gz
%{_datadir}/man/man1/baobab.1.gz
%{_datadir}/omf/gnome-dictionary/
%{_datadir}/omf/gnome-search-tool/
%{_datadir}/omf/gnome-system-log/
%{_datadir}/omf/baobab/
%{_datadir}/gtk-doc

%files devel
%{_libdir}/libgdict-1.0.so
%{_libdir}/pkgconfig/gdict-1.0.pc
%{_includedir}/gdict-1.0/
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.0.1-2
- changed package group to Graphical Desktop/GNOME
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0.1-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.0-2
- rebuild, moved libexec
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.0-1
- Initial release